# $Revision: 1.92 $, $Date: 2005/09/17 10:33:56 $
#
# Conditional build:
%bcond_without	tests	# don't perform ./check-guile
#
Summary:	GNU Extension language
Summary(es):	Lenguaje de extensin de la GNU
Summary(ja):	ץꥱγĥΤ GNU ˤ Scheme μ
Summary(pl):	Jzyk GNU Extension language
Summary(pt_BR):	Linguagem de extenso da GNU
Summary(ru):	  GNU
Summary(uk):	  GNU
Name:		guile
Version:	1.6.7
Release:	4
Epoch:		5
License:	GPL
Group:		Development/Languages
Source0:	ftp://ftp.gnu.org/gnu/guile/%{name}-%{version}.tar.gz
# Source0-md5:	c2ff2a2231f0cbb2e838dd8701a587c5
Patch0:		%{name}-info.patch
Patch1:		%{name}-fix_awk_patch.patch
Patch2:		%{name}-SCM_SITE_DIR_path.patch
Patch3:		%{name}-noldflagsinconfig.patch
Patch4:		%{name}-ttyname.patch
Patch5:		%{name}-unknown_arch.patch
Patch6:		%{name}-system_ltdl.patch
URL:		http://www.gnu.org/software/guile/guile.html
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.2
BuildRequires:	texinfo
Requires:	umb-scheme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libguile9

%description
Guile, a portable, embeddable Scheme implementation written in C.
Guile provides a machine independent execution platform that can be
linked in as a library when building extensible programs.

%description -l es
Guile es una implementacin de Scheme, que puede ser porttil y
empotrada, escrita en C. Guile provee una mquina de ejecucin
independiente de plataforma, que puede ser linkada como una biblioteca
construyendo programas extensibles.

%description -l ja
GUILE (GNU's Ubiquitous Intelligent Language for Extension)  Scheme
ץߥ󥰸 C ǽ񤫤줿饤֥Ǥ GUILE 
ޥ¸μ¹ԴĶǡץγĥ󶡤ޤ

%description -l pl
Guile jest przenon, dajc si wbudowa implementacj Scheme
napisan w C. Guile udostpnia platform wykonywania niezalen od
sprztu, ktra moe by doczona jako biblioteka przy tworzeniu
rozszerzalnych programw.

%description -l pt_BR
Guile  um implementao de Scheme portvel e embutvel escrita em C.
Guile prov uma mquina de execuo independente de plataforma, que
pode ser ligada como uma biblioteca construindo programas extensveis.

%description -l ru
Guile -  ,    Scheme
  C. Guile   
,        
.

%description -l uk
Guile -     ̦æ  Scheme 
 C. Guile դ   ,  
     Ħ ¦̦.

%package devel
Summary:	Guile's header files, etc
Summary(es):	Bibliotecas de Guile, archivos de inclusin, etc
Summary(ja):	GUILE ĥ饤֥ѤΥ饤֥ȥإåե
Summary(pl):	Pliki nagwkowe i dokumentacja Guile
Summary(pt_BR):	Bibliotecas da Guile, arquivos de incluso, etc
Summary(ru):	     Guile
Summary(uk):	     Guile
Group:		Development/Libraries
Requires:	m4
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	ncurses-devel >= 5.2
Requires:	readline-devel >= 4.2
Obsoletes:	libguile9-devel

%description devel
What's needed to develop apps linked w/ guile

%description devel -l es
Este paquete contiene todo lo necesario para desarrollar aplicaciones
usando Guile.

%description -l ja
guile-devel ѥåϥ饤֥إåե롢¾...ʤ
GUILE ĥ饤֥󥯤ץΤɬפ
ե󶡤ޤ

%description devel -l pl
Pliki nagwkowe i dokumentacja Guile.

%description devel -l pt_BR
Este pacote contm o que  necessrio para desenvolver aplicaes
usando a Guile.

%description devel -l ru
,     ,   guile.

%description devel -l uk
,  Ҧ   ,    guile.

%package static
Summary:	Guile static libraries
Summary(pl):	Biblioteka statyczna Guile
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com guile
Summary(ru):	  Guile
Summary(uk):	Φ ¦̦ Guile
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Guile static library.

%description static -l pl
Biblioteka statyczna Guile.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com guile

%description static -l ru
  guile.

%description static -l uk
Φ ¦̦ guile.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

# I wouldn't apply it, it breaks other programs, but I have fixed it, so
# if you convince me... (but remember about perl, python, tcl and ruby ) (filon)
# patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I guile-config
%{__autoconf}
%{__automake}
cd guile-readline
%{__aclocal} -I ../guile-config
%{__autoconf}
# DON'T USE --force HERE - it would break build
automake -a -c --foreign
cd ..
%configure \
	--with-threads \
	--enable-fast-install

%{__make}

%{?with_tests:./check-guile}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/guile/site,%{_libdir}/guile}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	aclocaldir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS HACKING NEWS README THANKS
%attr(755,root,root) %{_bindir}/guile
%attr(755,root,root) %{_bindir}/guile-tools
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_libdir}/guile
%{_datadir}/guile

%files devel
%defattr(644,root,root,755)
%doc ChangeLog HACKING
%attr(755,root,root) %{_bindir}/guile-config
%attr(755,root,root) %{_bindir}/guile-snarf
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_infodir}/*.info*
%{_includedir}/*guile*
%{_aclocaldir}/guile.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: guile.spec,v $
Revision 1.92  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.91  2005/05/03 15:13:46  mmazur
- rel 3; rebuild with fixed patch

Revision 1.90  2005/05/03 01:05:17  mmazur
- rel 2; use system ltdl

Revision 1.89  2004/12/26 11:44:16  qboosh
- updated to 1.6.7 (bugfixes)
- more verbose files

Revision 1.88  2004/11/30 22:19:13  qboosh
- updated to 1.6.6 (minor fixes)

Revision 1.87  2004/11/02 00:11:58  qboosh
- updated to 1.6.5
- updated unknown_arch patch
- removed obsolete ac_alloca_test,ppc64,realloc,stack-end,mktemp patches
- removed (previously disabled) breaking ia64 patch

Revision 1.86  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.85  2004/07/25 18:01:32  qboosh
- added ttyname patch (avoid SEGV with no /proc), mktemp patch (fix /tmp usage)
- disabled breaking ia64 patch, run check-guile after build
- release 5

Revision 1.84  2004/05/31 22:25:05  qboosh
- replaced realloc patch with fix from guile CVS
- added stack-end patch (another hack based on guile CVS)
- release 4

Revision 1.83  2004/05/24 20:11:52  qboosh
- added realloc patch (fixes possible crash, caught on amd64)
- strict internal deps, release 3

Revision 1.82  2004/01/02 17:31:11  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.81  2003/12/30 10:55:26  jajcus
- simple fix for configure script fix
- porting patches from RH (guile-ia64.patch guile-ppc64.patch guile-unknown_arch.patch)

Revision 1.80  2003/06/22 19:00:18  aflinta
- fixed epoch:version issues

Revision 1.79  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.78  2003/05/25 05:48:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.77  2003/04/24 09:57:00  trojan
- updated to 1.6.4
- removed outdated patch

Revision 1.76  2003/04/21 15:20:57  qboosh
- added noldflagsinconfig patch to remove $LDFLAGS from `guile-config link`
  (thus removing this evil -s)
- release 2

Revision 1.75  2003/04/04 12:45:13  wolf
- missing BR (thx qboosh)

Revision 1.74  2003/04/02 23:36:43  wolf
- autoshit seems to be broken, and since it works w/o it...

Revision 1.73  2003/02/04 07:50:04  trojan
- updated 1.6.3

Revision 1.72  2002/12/25 01:28:27  qboosh
- 1.6.1
- updated info,fix_awk_patch patches, removed obsolete sizet patch
- removed linking hack - require fixed libtool instead (relink problem)

Revision 1.71  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.70  2002/12/02 11:06:19  ankry
- massive cleaning

Revision 1.69  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.68  2002/08/19 11:07:51  qboosh
- fixed build on alpha (axp patch); release 5

Revision 1.67  2002/05/25 09:06:20  kloczek
- release 4: fix building guile on alpha (merge sizet patch from rawhide).

Revision 1.66  2002/05/21 20:39:31  qboosh
- one more entry in info patch; release 3

Revision 1.65  2002/05/21 08:10:54  kloczek
- merge translations from KSI, Kondara and Cnectiva,
- use new %doc packing infrastructure.

Revision 1.64  2002/05/16 06:26:38  filon
- ac/am/lt rebuilding needs DEVEL resources, turn it off
- fixed libguilereadline relinking
- release 2, STBR

Revision 1.63  2002/05/15 21:23:04  filon
- fixed info patch name (from pach to patch)

Revision 1.62  2002/05/15 21:05:22  filon
- updated to 1.4.1
- removed unneded/obsolette std_headers, acinclude.m4_fixes.patch, am_fixes.patch, use_system_libltd.aptch
- updated and fixed (apply changes also in guile-readline) SCM_SITE_DIR_path.patch
- updated files
- rebuild ac/am stuff + hack for make (and proper -I for aclocal)
- hack for broken libtool behavior (look into spec for info)
- updated info patch
- STBR, works with TeXmacs :-)

Revision 1.61  2002/04/25 16:32:19  arturs
fixed a small typo

Revision 1.60  2002/03/28 18:32:41  klakier
- added URL

Revision 1.59  2002/03/16 14:27:01  misiek
- code name "kloczek's ,,great'' work"
- don't regenerate (completly) broken am/ac support in guile (it breaks everything)
- removed non-existant configure option
- release 12

Revision 1.58  2002/02/25 08:37:38  kloczek
- typo.

Revision 1.57  2002/02/25 08:02:12  kloczek
- release 11,
- added patches set whitch allow install loadable shared modules in
  %%{_libdir}/guile instead in %%{_datadir}/guile (now guile can be FHS
  cmpliant).

Revision 1.56  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/02/02 20:18:21  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.53  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.52  2002/01/02 18:44:34  kloczek
- release 10: libguile9{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.51  2001/11/27 20:32:54  mkochano
- Release 9.
- devel subpackage Requires: ncurses-devel and readline-devel.

Revision 1.50  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.48  2001/07/23 16:21:32  qboosh
- %%configure2_13 (just rebuilding doesn't work)
- release 8

Revision 1.47  2001/04/12 23:09:46  kloczek
- release 7: rebuild against readline 4.2.

Revision 1.46  2000/12/10 15:43:25  kloczek
- release 6,
- merge patch from MDK with disable inet_aton() prototype when
  STDC_HEADERS is defined (this fix compile problems on AXP).

Revision 1.45  2000/10/12 21:35:09  kloczek
- release 5: use new rpm automation.

Revision 1.44  2000/08/26 17:25:49  kloczek
- release 4,
- added Epoch: 1 (for allow upgrade from rawhide guile),
- added fix_awk_patch parch which fix awk path (must be /bin/awk).

Revision 1.43  2000/07/13 23:10:31  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.42  2000/07/13 20:42:01  baggins
- release 2

Revision 1.41  2000/06/21 16:04:56  kloczek
- updated to 1.4,
- spec adapterized,
- updated %files list.

Revision 1.40  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.39  2000/06/09 07:22:58  kloczek
- added using %%{__make} macro.

Revision 1.38  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.37  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.36  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.35  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.34  2000/03/23 08:57:52  kloczek
- release 3,
- spec adapterized,
- build agains readline 4.1.

Revision 1.33  1999/11/16 17:26:49  kloczek
- release 2,
- build against ncurses 5.0,
- added BuilRequires rules.

Revision 1.32  1999/11/07 08:01:14  kloczek
- updated to 1.3.4.

Revision 1.31  1999/09/13 18:48:09  kloczek
- release 2,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format.

Revision 1.30  1999/08/31 21:43:42  kloczek
- updated to 1.3.2,
- updated patches list,
- added aclocal m4 macros files to devel,
- %%{_bindir}/guile moved to main,
- removed %%{_datadir}/guile/slib symlink (not neccessary now),
- added lib*.la to devel.

Revision 1.29  1999/08/01 22:28:25  kloczek
- fix: added passing LDFLAGS="-s" to ./configure enviroment (cause stripping
  binaries).

Revision 1.28  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.27  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [1.3-8]
- spec cleanup

* Fri May 21 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.3-7]
- spec writted by me,
- pl translation by Wojtek lusarczyk <wojtek@shadow.eu.org>.
